# Enum AccessibilityColorVisionDeficiency

java.lang.Object
java.lang.Enum<AccessibilityColorVisionDeficiency>
com.codename1.ui.AccessibilityColorVisionDeficiency

All Implemented Interfaces:
  `Comparable<AccessibilityColorVisionDeficiency>`

public enum AccessibilityColorVisionDeficiency extends Enum<AccessibilityColorVisionDeficiency>

Describes a color-vision deficiency selected in the operating system or simulated by the Java SE simulator.

Applications should never infer that color alone is safe when this value is `NONE` or `UNKNOWN`. Use text, shape, iconography, or patterns in addition to color for every important distinction.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEUTERANOPIA`
  Reduced sensitivity to green light.
  `MONOCHROMACY`
  Colors are presented as shades of gray.
  `NONE`
  The platform reports that no color-vision correction is enabled.
  `PROTANOPIA`
  Reduced sensitivity to red light.
  `TRITANOPIA`
  Reduced sensitivity to blue light.
  `UNKNOWN`
  The platform doesn't expose the selected correction mode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibilityColorVisionDeficiency`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AccessibilityColorVisionDeficiency[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final AccessibilityColorVisionDeficiency NONE
    The platform reports that no color-vision correction is enabled.

  - ### PROTANOPIA

    public static final AccessibilityColorVisionDeficiency PROTANOPIA
    Reduced sensitivity to red light.

  - ### DEUTERANOPIA

    public static final AccessibilityColorVisionDeficiency DEUTERANOPIA
    Reduced sensitivity to green light.

  - ### TRITANOPIA

    public static final AccessibilityColorVisionDeficiency TRITANOPIA
    Reduced sensitivity to blue light.

  - ### MONOCHROMACY

    public static final AccessibilityColorVisionDeficiency MONOCHROMACY
    Colors are presented as shades of gray.

  - ### UNKNOWN

    public static final AccessibilityColorVisionDeficiency UNKNOWN
    The platform doesn't expose the selected correction mode.

- ## Method Details

  - ### values

    public static AccessibilityColorVisionDeficiency[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccessibilityColorVisionDeficiency valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null